A boosting configuration for one SCType

### Hierarchy

- SCBackendConfigurationSearchBoosting

## Index

### Properties

- factor
- fields
- type

## Properties

### factor

factor: number

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4492

The factor of which the scores matching this type should be multiplied by

### Optional fields

fields: SCMap<SCMap<number>>

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4502

Outer-Map: Fields of this type that should be boosted if they match a given value For nest fields you can use the `.` as a separator. For example `academicTerms.acronym`

Inner-map: Value of the field that should be boosted by the given number For example `"SS 2019": 2`

### type

type: SCThingType

- Defined in node_modules/@openstapps/core/lib/index.d.ts:4506

Type of things the factor should be applied to

Generated using TypeDoc